# Fiber::throw

(PHP 8 >= 8.1.0)

Fiber::throw — Reprend l'exécution de la fibre avec une exception

### Description

public Fiber::throw(Throwable `$exception`): mixed

Reprend la fibre en lançant l'exception donnée à partir de l'appel Fiber::suspend() en cours.

Si la fibre n'est pas suspendue lorsque cette méthode est appelée, une exception FiberError sera émise.

### Liste de paramètres

`exception`

  L'exception à lancer dans la fibre à partir de l'appel Fiber::suspend() en cours.

### Valeurs de retour

La valeur fournie au prochain appel à Fiber::suspend() ou `null` si la fibre retourne. Si la fibre lance une exception avant de se suspendre, elle sera émise lors de l'appel à cette méthode.